summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSamuel Lidén Borell <samuel@kodafritt.se>2014-11-02 12:39:55 (GMT)
committerSamuel Lidén Borell <samuel@kodafritt.se>2014-11-02 12:39:55 (GMT)
commit38446907ee935f4f34cd03922fc2953686a49c10 (patch)
treed4d4eb192a5fed42f3c0133b3ba261698036a41f
parentc65759c6bc554b95c282ab98b28112df8628b43a (diff)
downloadfribid-38446907ee935f4f34cd03922fc2953686a49c10.zip
fribid-38446907ee935f4f34cd03922fc2953686a49c10.tar.gz
fribid-38446907ee935f4f34cd03922fc2953686a49c10.tar.bz2
Update npcompatsrv instructions for Chrome/Chromium 38
-rw-r--r--npcompatsrv/README6
-rw-r--r--npcompatsrv/README.sv.txt15
2 files changed, 14 insertions, 7 deletions
diff --git a/npcompatsrv/README b/npcompatsrv/README
index 8bf9ffc..f632d28 100644
--- a/npcompatsrv/README
+++ b/npcompatsrv/README
@@ -15,7 +15,7 @@ If FriBID is installed in a standard location then it will be auto-detected
and the program will say "Server started on port 20048". Otherwise an error
message will be shown.
-The final step is to install fribid_npapi_compat.user.js into your browser.
+Then install fribid_npapi_compat.user.js into your browser.
For Chrome / Chromium do this:
1) Click the ≡ button, click Tools --> Extensions.
@@ -26,6 +26,10 @@ For Chrome / Chromium do this:
4) Click "Add".
5) Done. "FriBID NPAPI Compatibility" should appear in the list.
+If you use Chrome/Chromium 38 or a later version you also need to run
+your browser with the follwing command:
+
+ chromium --allow-running-insecure-content
You should now be able to access web sites that use BankID.
A yellow warning triangle will appear in the browser when you use npcompatsrv.
diff --git a/npcompatsrv/README.sv.txt b/npcompatsrv/README.sv.txt
index f6fa8be..4a018d7 100644
--- a/npcompatsrv/README.sv.txt
+++ b/npcompatsrv/README.sv.txt
@@ -15,7 +15,7 @@ Om FriBID är installerat i en av standardkatalogerna så hittas det automatiskt
och programmet kommer att säga "Server started on port 20048". Annars skrivs
ett felmeddelande ut.
-Det sista steget är att installera fribid_npapi_compat.user.js i webbläsaren.
+Installera sedan fribid_npapi_compat.user.js i webbläsaren.
För Chrome / Chromium gör du så här:
1) Tryck på ≡ knappen, och Tools --> Extensions.
@@ -26,10 +26,13 @@ För Chrome / Chromium gör du så här:
4) Tryck på "Add".
5) Klart. Nu ska "FriBID NPAPI Compatibility" dyka upp i listan.
+Om du använder Chrome/Chromium 38 eller en senare version så måste du köra
+din webbläsare med följande kommando:
-När du har följt stegen ovan så ska det gå att använda webbsidor med
-BankID-inloggning. Det kommer dock att synas en gul varningstriangel
-i webbläsaren när du använder npcompatsrv. Detta händer eftersom servern kör
-HTTP och inte HTTPS. Men eftersom servern endast kör lokalt så är detta inget
-problem.
+ chromium --allow-running-insecure-content
+
+Nu kan du använda webbsidor med BankID-inloggning. Det kommer dock att synas
+en gul varningstriangel i webbläsaren när du använder npcompatsrv. Detta
+händer eftersom servern kör HTTP och inte HTTPS. Men eftersom servern endast
+kör lokalt så är detta inget problem.